Node.js
import Shoply from "@shoplygg/node";
const shoply = new Shoply({ apiKey: process.env.SHOPLY_API_KEY });
const result = await shoply.upsells.list();<?php
require 'vendor/autoload.php';
$shoply = new Shoply\Client(['apiKey' => getenv('SHOPLY_API_KEY')]);
$result = $shoply->upsells->list();
import shoply
client = shoply.Client() # reads SHOPLY_API_KEY
result = client.upsells.list()
curl --request GET \
--url https://api.shoply.gg/v1/stores/{storeId}/upsells \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoply.gg/v1/stores/{storeId}/upsells"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shoply.gg/v1/stores/{storeId}/upsells")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shoply.gg/v1/stores/{storeId}/upsells")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": null,
"code": null,
"data": [
{
"id": "606a408d-8ce9-43d9-9950-231f89f4c901",
"kind": "addon",
"name": "Priority Setup",
"enabled": true,
"sells": "extra",
"productId": null,
"variantId": null,
"productName": null,
"productImage": null,
"variantLabel": null,
"variantPrice": null,
"price": 4.99,
"cost": null,
"message": "We will be in touch within a day to set it up.",
"offered": "optional",
"charged": "order",
"trigger": "product",
"minSubtotal": null,
"discountType": "none",
"discountValue": 0,
"words": "",
"startsAt": null,
"endsAt": null,
"firstOrders": false,
"hideOwned": false,
"targets": [
{
"type": "product",
"id": "f463e265-097a-4235-bc2f-5239b19a9874",
"name": "Northwind Pro"
}
],
"shown": 0,
"taken": 0,
"revenue": 0,
"dateCreated": "2026-10-22T16:20:18Z",
"updatedAt": "2026-10-22T16:20:18.717Z"
}
],
"meta": {
"totals": {
"revenue": 0,
"orders": 0,
"ordersAll": 0,
"shown": 0,
"taken": 0
},
"boughtTogetherAuto": true,
"currencyCode": "USD",
"limit": 200
}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}Upsells
List upsells
Every upsell the store has, a kind at a time in the store’s order, with the times each was shown, the paid orders that took it and what those lines came to over a period. A store holds up to 200.
Needs the upsells.read permission (Read Upsells).
GET
/
stores
/
{storeId}
/
upsells
Node.js
import Shoply from "@shoplygg/node";
const shoply = new Shoply({ apiKey: process.env.SHOPLY_API_KEY });
const result = await shoply.upsells.list();<?php
require 'vendor/autoload.php';
$shoply = new Shoply\Client(['apiKey' => getenv('SHOPLY_API_KEY')]);
$result = $shoply->upsells->list();
import shoply
client = shoply.Client() # reads SHOPLY_API_KEY
result = client.upsells.list()
curl --request GET \
--url https://api.shoply.gg/v1/stores/{storeId}/upsells \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoply.gg/v1/stores/{storeId}/upsells"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shoply.gg/v1/stores/{storeId}/upsells")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shoply.gg/v1/stores/{storeId}/upsells")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": null,
"code": null,
"data": [
{
"id": "606a408d-8ce9-43d9-9950-231f89f4c901",
"kind": "addon",
"name": "Priority Setup",
"enabled": true,
"sells": "extra",
"productId": null,
"variantId": null,
"productName": null,
"productImage": null,
"variantLabel": null,
"variantPrice": null,
"price": 4.99,
"cost": null,
"message": "We will be in touch within a day to set it up.",
"offered": "optional",
"charged": "order",
"trigger": "product",
"minSubtotal": null,
"discountType": "none",
"discountValue": 0,
"words": "",
"startsAt": null,
"endsAt": null,
"firstOrders": false,
"hideOwned": false,
"targets": [
{
"type": "product",
"id": "f463e265-097a-4235-bc2f-5239b19a9874",
"name": "Northwind Pro"
}
],
"shown": 0,
"taken": 0,
"revenue": 0,
"dateCreated": "2026-10-22T16:20:18Z",
"updatedAt": "2026-10-22T16:20:18.717Z"
}
],
"meta": {
"totals": {
"revenue": 0,
"orders": 0,
"ordersAll": 0,
"shown": 0,
"taken": 0
},
"boughtTogetherAuto": true,
"currencyCode": "USD",
"limit": 200
}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}Authorizations
A secret API key, made under Developers in the dashboard: Authorization: Bearer shoply_sk_...
Path Parameters
The store's ID. A key reaches the store it was made in: GET /key answers which.
Query Parameters
The period: today, 7d, 30d, this_month, last_month, this_year, custom with from and to, or all.
With range custom: the first day, as YYYY-MM-DD.
With range custom: the last day, as YYYY-MM-DD.
The time zone the days are read in, as an IANA name. Left out, UTC.

